Skip to main content
POST
/
v1
/
contacts
/
enrich-bulk
/
by-list
cURL
curl --request POST \
  --url https://api.nuvia.ai/v1/contacts/enrich-bulk/by-list \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "list_id": "<string>",
  "fields": [],
  "view_id": "<string>",
  "filters": [
    {
      "field": "<string>",
      "value": "<string>"
    }
  ],
  "exclude_row_ids": [
    "<string>"
  ],
  "list_name": "<string>"
}
'
{}

Authorizations

Authorization
string
header
required

Token JWT de autenticação

Body

application/json
list_id
string
required
Pattern: ^[a-f\d]{24}$
fields
enum<string>[]
required
Required array length: 1 - 2 elements
Available options:
email,
phone_number
view_id
string
Pattern: ^[a-f\d]{24}$
filters
object[]
Maximum array length: 100
exclude_row_ids
string[]
Maximum array length: 50000
Pattern: ^[a-f\d]{24}$
list_name
string

Response

202 - application/json

The response is of type object.